/**
 * Site Footer
 */
.site-footer {
  border-top: 1px solid _palette(charcoal-light-75);
  padding-bottom: 1.33333em;
  padding-top: 2.5em;
  background: _palette(sky);
  color: white;
}

#colophon {
  a:not(.button) {
    color: white;

    &:hover{
      color: _palette(sky);
    }
  }
}

.site-info,
.social-links {
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  font-size: 14px;
  line-height: 1.2;
  margin-bottom: 1.25em;

  .button {
    font-size: inherit;
    padding: 0.275em 0.5em;
  }
}

.site-info {
  .copyright,
  a {
    margin: 0 10px 0.25em 0;
  }
}

.social-links {
  a {
    margin: 0 20px 0.25em 0;

    &:not(.button) {
      border: 0;
    }
  }

  .icon {
    font-size: 18px;
  }
}

@media only screen and (min-width: 601px) {
  .site-footer-inside {
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
  }

  .social-links {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
    margin-left: auto;

    a {
      margin-left: 30px;
      margin-right: 0;
    }
  }
}